Package org.h2gis.functions.spatial.crs

# Class ST_Transform

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.functions.spatial.crs.ST_Transform

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Transform extends org.h2gis.api.AbstractFunction implements org.h2gis.api.ScalarFunction
This class is used to transform a geometry from one CRS to another. Only integer codes available in the spatial_ref_sys table are allowed. The default source CRS is the input geometry's internal CRS.

Author:
  Erwan Bocher, Adam Gouge

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ST_Transform.CopCache`
A simple cache to manage `CoordinateOperation`
`static class`
`ST_Transform.CRSTransformFilter`
This method is used to apply a `CoordinateOperation` to a geometry.

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Transform()`
Constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`ST_Transform(Connection connection, org.locationtech.jts.geom.Geometry geom, Integer codeEpsg)`
Returns a new geometry transformed to the SRID referenced by the integer parameter available in the spatial_ref_sys table

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Transform

public ST_Transform()
Constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

### ST_Transform

public static org.locationtech.jts.geom.Geometry ST_Transform(Connection connection, org.locationtech.jts.geom.Geometry geom, Integer codeEpsg) throws SQLException, org.cts.op.CoordinateOperationException
Returns a new geometry transformed to the SRID referenced by the integer parameter available in the spatial_ref_sys table

Parameters:
  `connection` -
  `geom` -
  `codeEpsg` -
Returns:
Throws:
  `SQLException`
  `org.cts.op.CoordinateOperationException`